Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1690645 - [abrt] libreoffice-core: (anonymous namespace)::signalHandlerFunction(int, siginfo_t*, void*)(): soffice.bin killed by SIGABRT
Summary: [abrt] libreoffice-core: (anonymous namespace)::signalHandlerFunction(int, si...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7b4c4cee2cb565bf4e7d8c1fe52...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 22:41 UTC by James Ettle
Modified: 2019-04-12 13:45 UTC (History)
5 users (show)

Fixed In Version: libreoffice-6.1.5.2-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-27 15:00:47 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2019-03-19 22:41 UTC, James Ettle
no flags Details
File: cgroup (deleted)
2019-03-19 22:41 UTC, James Ettle
no flags Details
File: core_backtrace (deleted)
2019-03-19 22:41 UTC, James Ettle
no flags Details
File: cpuinfo (deleted)
2019-03-19 22:41 UTC, James Ettle
no flags Details
File: dso_list (deleted)
2019-03-19 22:41 UTC, James Ettle
no flags Details
File: environ (deleted)
2019-03-19 22:41 UTC, James Ettle
no flags Details
File: limits (deleted)
2019-03-19 22:41 UTC, James Ettle
no flags Details
File: maps (deleted)
2019-03-19 22:41 UTC, James Ettle
no flags Details
File: mountinfo (deleted)
2019-03-19 22:41 UTC, James Ettle
no flags Details
File: open_fds (deleted)
2019-03-19 22:41 UTC, James Ettle
no flags Details
File: proc_pid_status (deleted)
2019-03-19 22:41 UTC, James Ettle
no flags Details

Description James Ettle 2019-03-19 22:41:02 UTC
Version-Release number of selected component:
1:libreoffice-core-6.1.5.2-2.fc29

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=6
crash_function: (anonymous namespace)::signalHandlerFunction(int, siginfo_t*, void*)
executable:     /usr/lib64/libreoffice/program/soffice.bin
journald_cursor: s=9ab3b79c1f264c7e87b44541c45cd89a;i=7dc42;b=00a81cbcc5d34bc8b05efdfd1f31a35b;m=1bb555ed2cd;t=5847a0dd17377;x=7ee32c91bb3e55e5
kernel:         4.20.10-200.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1402400001

Truncated backtrace:
Thread no. 1 (1 frames)
 #2 (anonymous namespace)::signalHandlerFunction(int, siginfo_t*, void*) at /usr/src/debug/libreoffice-6.1.5.2-2.fc29.x86_64/sal/osl/unx/signal.cxx:499

Comment 1 James Ettle 2019-03-19 22:41:05 UTC
Created attachment 1545832 [details]
File: backtrace

Comment 2 James Ettle 2019-03-19 22:41:06 UTC
Created attachment 1545833 [details]
File: cgroup

Comment 3 James Ettle 2019-03-19 22:41:07 UTC
Created attachment 1545834 [details]
File: core_backtrace

Comment 4 James Ettle 2019-03-19 22:41:08 UTC
Created attachment 1545835 [details]
File: cpuinfo

Comment 5 James Ettle 2019-03-19 22:41:10 UTC
Created attachment 1545836 [details]
File: dso_list

Comment 6 James Ettle 2019-03-19 22:41:11 UTC
Created attachment 1545837 [details]
File: environ

Comment 7 James Ettle 2019-03-19 22:41:12 UTC
Created attachment 1545838 [details]
File: limits

Comment 8 James Ettle 2019-03-19 22:41:14 UTC
Created attachment 1545839 [details]
File: maps

Comment 9 James Ettle 2019-03-19 22:41:15 UTC
Created attachment 1545840 [details]
File: mountinfo

Comment 10 James Ettle 2019-03-19 22:41:17 UTC
Created attachment 1545841 [details]
File: open_fds

Comment 11 James Ettle 2019-03-19 22:41:18 UTC
Created attachment 1545842 [details]
File: proc_pid_status

Comment 12 Caolan McNamara 2019-03-20 09:15:01 UTC
SwContentTree::KeyInput calls SvTreeListBox::GetFocusRect but passes null for pEntry so GetCurEntry must have returned nulptr back in SwContentTree::KeyInput.

Comment 13 Fedora Update System 2019-03-22 10:19:18 UTC
libreoffice-6.1.5.2-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9512551c7b

Comment 14 Fedora Update System 2019-03-23 02:41:22 UTC
libreoffice-6.1.5.2-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9512551c7b

Comment 15 Fedora Update System 2019-03-23 14:25:03 UTC
libreoffice-6.1.5.2-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a88bddd9a4

Comment 16 Fedora Update System 2019-03-25 06:48:39 UTC
libreoffice-6.1.5.2-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a88bddd9a4

Comment 17 Fedora Update System 2019-03-27 15:00:47 UTC
libreoffice-6.1.5.2-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Jan Vlug 2019-04-11 09:39:08 UTC
Similar problem has been detected:

Every time I time a date in this format in LibreOffice it crashes: YYYY-MM-DD.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///home/jan/Nextcloud/Batterijen/batterijen.ods --splash-pipe=5
crash_function: (anonymous namespace)::signalHandlerFunction(int, siginfo_t*, void*)
executable:     /usr/lib64/libreoffice/program/soffice.bin
journald_cursor: s=9ade0f814ca940aa8c47de318bc6d34a;i=197234;b=a99d97f8a2fe47939ad11285ec198469;m=3f680c2cc6;t=5863cb9fd2fbf;x=434ec280af5e80b5
kernel:         5.0.4-200.fc29.x86_64
package:        1:libreoffice-core-6.1.5.2-4.fc29
reason:         soffice.bin killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Caolan McNamara 2019-04-11 09:54:14 UTC
caolanm->jan: Please file a new bug and don't pile onto this bug which I suspect is different to your problem.

Comment 20 Jan Vlug 2019-04-11 13:13:47 UTC
Hi caolan, sorry for polluting this bug report. I get this crash consistently, and this was the first time that ABRT was able to create a bug from it. ABRT determined that this bug was a duplicate.

Comment 21 Jan Vlug 2019-04-12 13:24:51 UTC
Similar problem has been detected:

Typing a data in the YYYY-MM-DD format in libreoffice writer.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: (anonymous namespace)::signalHandlerFunction(int, siginfo_t*, void*)
executable:     /usr/lib64/libreoffice/program/soffice.bin
journald_cursor: s=9ade0f814ca940aa8c47de318bc6d34a;i=19d58f;b=10eba48fb1494b22ab5d4ece39fdbb25;m=5ae3f8b1f;t=58654d49f1435;x=1ec1a56659b12158
kernel:         5.0.6-200.fc29.x86_64
package:        1:libreoffice-core-6.1.5.2-4.fc29
reason:         soffice.bin killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Jan Vlug 2019-04-12 13:45:03 UTC
Sorry, ABRT made again a report in this bug. I filed new bug #1699347.


Note You need to log in before you can comment on or make changes to this bug.